/*
 * Copyright  1999-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

/* $Id: WorkflowException.java 42598 2004-03-01 16:18:28Z gregor $  */

package org.apache.lenya.workflow;


/**
 * Workflow exception.
 */
public class WorkflowException extends Exception {
    /**
     *
     */
    public WorkflowException() {
        super();
    }

    /**
     * Create a WorkflowException.
     * 
     * @param message The message.
     */
    public WorkflowException(String message) {
        super(message);
    }

    /**
     * Create a WorkflowException.
     * 
     * @param message The message.
     * @param cause The cause.
     */
    public WorkflowException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Create a WorkflowException.
     * 
     * @param cause The cause.
     */
    public WorkflowException(Throwable cause) {
        super(cause);
    }
}
